# setup-cockpit

My personal dotfiles managed with ansible.

The playbook `playbook.yml` contains all the things to install, each in a role with a tag so that it can be individually installed.

For convenience, a Makefile contains the `ansible-playbook` command that will use the tag specified to `make`:  
So `make vim` will call `ansible-playbook` with the `vim` tag.

The Makefile also includes vault password, which is retrieved via `password-store` with the `git-vault-password.sh` script.

The roles called are logged to `.roles_played`.
They can then be called again by `make previous`, for example to update the system according to the playbook.
